#!/bin/sh

git clone https://github.com/ssvb/xf86-video-fbturbo.git xserver-xorg-video-fbturbo-1.20180209 && \
tar -czv --exclude-vcs -f xserver-xorg-video-fbturbo_1.20180209.orig.tar.gz xserver-xorg-video-fbturbo-1.20180209 && \
rm -rf xserver-xorg-video-fbturbo-1.20180209/

if [ ! -e xserver-xorg-video-fbturbo-c2.zip ]; then
  wget -N http://seafile.servator.de/sbc/odroid/build/xserver-xorg-video-fbturbo-c2.zip
  unzip xserver-xorg-video-fbturbo-c2.zip
fi

tar xzvf xserver-xorg-video-fbturbo_1.20180209.orig.tar.gz && \
cd xserver-xorg-video-fbturbo-1.20180209/ && \
tar xzvf ../xserver-xorg-video-fbturbo_1.20140112-debian.tar.gz

# build
cp -p ../fbturbo-crtc-lcd-a53-rpi.patch debian/patches/ && \
echo "fbturbo-crtc-lcd-a53-rpi.patch" >> debian/patches/series
cp -p ../fbturbo-fix-depth.patch debian/patches/ && \
echo "fbturbo-fix-depth.patch" >> debian/patches/series

# c2 only
cp -p ../fbturbo-enable-crtc-lcd.patch debian/patches/ && \
echo "fbturbo-enable-crtc-lcd.patch" >> debian/patches/series

sed -i s/'20140112'/'20180209'/g debian/changelog
debuild -us -uc

cd ..

mkdir dbg
mv *-dbg* dbg/ || true

zip xserver-xorg-video-fbturbo-c2-`lsb_release -c -s`-`dpkg --print-architecture`.zip xserver-xorg-video-fbturbo*.deb

echo OK
